Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.diagnostician
Class ECPValidator

    java.lang.Object
      org.eclipse.emf.ecp.diagnostician.ECPValidator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator

Direct Known Subclasses:
  ClassifierValidatorWrapper, GenderValidator1, GenderValidator2, GenderValidator3, LeagueValidator, PlayerValidatorHeight, PlayerValidatorName, PlayerValidatorOK

    public abstract class ECPValidator

extends Object
implements org.eclipse.emf.ecore.EValidator

Abstract Class defining an `EValidator` that can be used with the ECP validation. Users should override the `validate(EClass, EObject, DiagnosticChain, Map)` and/or `validate(EDataType, Object, DiagnosticChain, Map)` methods to add their validations.

Author:
  jfaltermeier

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider, org.eclipse.emf.ecore.EValidator.ValidationDelegate`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

Constructor Summary
`ECPValidator()`

Method Summary
`abstract Set<org.eclipse.emf.ecore.EClassifier>` | `getValidatedEClassifier()` Returns the `EClassifier`s which can be validated.
`boolean` | `validate(org.eclipse.emf.ecore.EClass eClass, org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validate(org.eclipse.emf.ecore.EDataType eDataType, Object value, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validate(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPValidator

    public ECPValidator()

Method Detail

### getValidatedEClassifier

    public abstract Set<org.eclipse.emf.ecore.EClassifier> getValidatedEClassifier()

  Returns the `EClassifier`s which can be validated.

  Returns:
    the eclassifiers

### validate

    public boolean validate(org.eclipse.emf.ecore.EObject eObject,
                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                            Map<Object,Object> context)

  Specified by:
    `validate` in interface `org.eclipse.emf.ecore.EValidator`
  See Also:
    `EValidator.validate(org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

### validate

    public boolean validate(org.eclipse.emf.ecore.EClass eClass,
                            org.eclipse.emf.ecore.EObject eObject,
                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                            Map<Object,Object> context)

  Specified by:
    `validate` in interface `org.eclipse.emf.ecore.EValidator`
  See Also:
    `EValidator.validate(org.eclipse.emf.ecore.EClass, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

### validate

    public boolean validate(org.eclipse.emf.ecore.EDataType eDataType,
                            Object value,
                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                            Map<Object,Object> context)

  Specified by:
    `validate` in interface `org.eclipse.emf.ecore.EValidator`
  See Also:
    `EValidator.validate(org.eclipse.emf.ecore.EDataType, java.lang.Object, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.